SDK com.unity3d.ads:unity-ads Google Console Warning

I received this warning from Google Console
Your app includes non compliant SDK version

Jun 30, 2022 01:20

Your app version code 16 includes SDK com.unity3d.ads:unity-ads or an SDK that one of your libraries depends on, which collects personal or sensitive data that includes but may not be limited to Advertising ID, Android ID identifiers. Persistent device identifiers may not be linked to other personal and sensitive user data or resettable device identifiers as described in the User Data policy.

Starting from September 5, 2022 midnight (UTC), new app releases containing the SDK version(s) that do not comply with the User Data policy may be blocked from release. You may consider upgrading to a policy-compliant version of this SDK that does not include the violating code if available from your SDK provider, or removing this SDK from your app.

According to the information provided by your SDK provider, you may consider upgrading to 4.0.1. Please consult the SDK provider for further information.

ACTION REQUIRED: Upload a new compliant version AND deactivate the noncompliant version.

Read through the User Data policy for more details, and how to submit an updated app for review here.

If you’ve reviewed the policy and feel our decision may have been in error, please reach out to our policy support team.

Learn More

Archive

I only uses AdMob components in my old projects

Now What shall I do for that to solve the error?

What would happen If I didn’t update my app and keep it as it is?

Even if I didn’t update my app on playstore? … the warning will go away and the problem will be solved automatically? Or should I upliad a new version that contains a new sdk?

Read this post

1 Like

Continuing the discussion from SDK com.unity3d.ads:unity-ads Google Console Warning:

Has your problem been resolved?

¿Se ha resuelto tu problema?

Foi resolvido o seu problema?

Please read the above post as it’s the solution in this topic.

Also, don’t post in any languages other than English.